[Overview][Resource strings][Types][Procedures and functions][Variables][Index] | Reference for unit 'dbugintf' (#fcl)

# SendMethodExit

Send method exit message

## Declaration

Source position: dbugintf.pp line 35

`procedure SendMethodExit(`
`const MethodName: string`
`);`

## Arguments

`MethodName` |  | Name of the method that is entered

## Description

SendMethodExit sends a "Exiting MethodName" message to the debug server. After that it decreases the message indentation (currently 2 characters). By sending a corresponding SendMethodEnter, the indentation of messages can be increased again.

By using the SendMethodEnter and SendMethodExit methods at the beginning and end of a procedure/method, it is possible to visually trace program execution.

Note that the indentation level will not be made negative.

## Errors

None.

## See also

SendDebug |  | Send a message to the debug server.
SendMethodEnter |  | Send method enter message
SendSeparator |  | Send a separator message